## com.sun.jersey.core.util
Class PriorityUtil.InstanceComparator

    java.lang.Object
      com.sun.jersey.core.util.PriorityUtil.InstanceComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  PriorityUtil

    public static final class PriorityUtil.InstanceComparator

extends java.lang.Object
implements java.util.Comparator

Comparator for instances of types annotated with Priority annotation.

Constructor Summary
`PriorityUtil.InstanceComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### PriorityUtil.InstanceComparator

    public PriorityUtil.InstanceComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2017 Oracle Corporation. All Rights Reserved.